%define	major 1
%define libname %mklibname cmml %{major}
%define develname %mklibname cmml -d

Summary:	Library for handling Continuous Media Markup Language
Name:		libcmml
Version:	0.9.4
Release:	%mkrel 1
Group:		System/Libraries
License:	BSD
URL:		http://www.annodex.net/
Source0:	http://www.annodex.net/software/libcmml/download/%{name}-%{version}.tar.gz
Patch0:		libcmml-malloc_fix.diff
BuildRequires:	doxygen
BuildRequires:	expat-devel
BuildRequires:	autoconf2.5
BuildRequires:	libtool
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Libcmml is a library which enables the handling of documents written in CMML
(Continuous Media Markup Language) for the Continuous Media Web (CMWeb).

It provides a very simple API for reading files marked up with the Continuous
Media Markup Language (CMML), and returns C structures containing this
information in a format which can be used by an Annodexer for creating
ANNODEX(tm) format documents (ANX).

%package -n	%{libname}
Summary:	Library for handling Continuous Media Markup Language
Group:          System/Libraries

%description -n	%{libname}
Libcmml is a library which enables the handling of documents written in CMML
(Continuous Media Markup Language) for the Continuous Media Web (CMWeb).

It provides a very simple API for reading files marked up with the Continuous
Media Markup Language (CMML), and returns C structures containing this
information in a format which can be used by an Annodexer for creating
ANNODEX(tm) format documents (ANX).

%package -n	%{develname}
Summary:	Files needed for development using libcmml
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Obsoletes:	%{mklibname cmml 1 -d}

%description -n	%{develname}
Libcmml is a library which enables the handling of documents written in CMML
(Continuous Media Markup Language) for the Continuous Media Web (CMWeb).

It provides a very simple API for reading files marked up with the Continuous
Media Markup Language (CMML), and returns C structures containing this
information in a format which can be used by an Annodexer for creating
ANNODEX(tm) format documents (ANX).

This package contains the header files and documentation needed for development
using libcmml.

%package	tools
Summary:	Various tools using the Continuous Media Markup Language library
Group:          File tools

%description	tools
Libcmml is a library which enables the handling of documents written in CMML
(Continuous Media Markup Language) for the Continuous Media Web (CMWeb).

This package contains various tools using the Continuous Media Markup Language
library.

%prep

%setup -q -n %{name}-%{version}
%patch0 -p0

%build
rm -f configure
libtoolize --copy --force; aclocal -I m4; automake; autoconf

#export LIBS="-lm"

%configure2_5x

%make

%check
make check

%install
rm -rf %{buildroot}

%makeinstall_std

install -d %{buildroot}%{_mandir}/man1
install -d %{buildroot}%{_mandir}/man6

install -m0644 doc/*.1 %{buildroot}%{_mandir}/man1/
install -m0644 doc/*.6 %{buildroot}%{_mandir}/man6/

# cleanup
rm -rf %{buildroot}%{_docdir}/libcmml

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}
                                                                                
%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/*.so.*

%files -n %{develname}
%defattr(-,root,root)
%doc doc/libcmml/html/* TODO
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/cmml.pc

%files tools
%defattr(-,root,root)
%{_bindir}/cmml*
%{_mandir}/man1/*
%{_mandir}/man6/*


%changelog
* Sat Jun 28 2008 Oden Eriksson <oeriksson@mandriva.com> 0.9.4-1mdv2009.0
+ Revision: 229596
- 0.9.4
- added P0 to make it build with gcc43

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 09 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.2-2mdv2008.0
+ Revision: 83598
- new devel naming


* Sat Dec 09 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.2-1mdv2007.0
+ Revision: 94064
- Import libcmml

* Mon Aug 07 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.2-1mdv2007.0
- initial Mandriva package (fc5 extras import)

